org.apache.fop.render.afp.extensions

## Class AFPInvokeMediumMapElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject
    - - org.apache.fop.render.afp.extensions.AFPInvokeMediumMapElement

All Implemented Interfaces:
  Cloneable

    public class AFPInvokeMediumMapElement
    extends AbstractAFPExtensionObject

This class represents an AFP-specific extension element to embed Invoke Medium Map (IMM) fields at the beginning of a page group or just prior to a Page. The element is optional and expected as a direct child of an fo:page-sequence or fo:simple-page-master

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

### Fields inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject

`extensionAttachment, name`

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Constructor Summary

Constructors
Constructor and Description
`AFPInvokeMediumMapElement(FONode parent)` Constructs the AFP extension object (called by Maker).

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ExtensionAttachment` `instantiateExtensionAttachment()` Instantiates extension attachment object
`void` `startOfNode()` Called after processNode() is called.

### Methods inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject

`endOfNode, getExtensionAttachment, getLocalName, getNamespaceURI, getNormalNamespacePrefix, processNode, validateChildNode`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, characters, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPInvokeMediumMapElement

    public AFPInvokeMediumMapElement(FONode parent)

Constructs the AFP extension object (called by Maker).

Parameters:
  `parent` - the parent formatting object

### Method Detail

#### startOfNode

    public void startOfNode()
                     throws FOPException

Called after processNode() is called. Subclasses can do additional processing.

Overrides:
  `startOfNode` in class `FONode`
Throws:
  `FOPException` - if there's a problem during processing

#### instantiateExtensionAttachment

    protected ExtensionAttachment instantiateExtensionAttachment()

Instantiates extension attachment object

Specified by:
  `instantiateExtensionAttachment` in class `AbstractAFPExtensionObject`
Returns:
  extension attachment